// For licensing, see: http://hydrogen.knownspace.org/license.html
//
//EntityValue.java
//Created: 10/07/1999 19:17
//
//Modified (10/06/2002): maa
//1) Slightly modified the JavaDoc class description to improve clarity and reduce slurs
//towards other developers.
//
package org.datamanager.kernel;

import java.io.Serializable;

/**
 * EntityValue serves as a marker interface for all the values that an Entity can
 * have in the official releases of Knownspace.  This interface should be implemented,
 * rather than EntityValue developers implementing Serializable directly.
 *
 * @author Matthew Farrellee
 * @author Benjamin Keil
 */
public abstract interface EntityValue
    extends Serializable
    {
    }